Bug 32639 - 6.2->7.1 upgrade: unresolved dependency --> no sugg.
Summary: 6.2->7.1 upgrade: unresolved dependency --> no sugg.
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-22 03:39 UTC by Ben Levenson
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-29 17:17:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Levenson 2001-03-22 03:39:58 UTC
build qa0321.2
TUI-CDROM upgrade
6.2 Everything --> 7.1
Unresolved dependency.
Afterstep-APPS --> no suggestion

Comment 1 Bernhard Rosenkraenzer 2001-03-22 13:20:51 UTC
We're no longer shipping Afterstep-Apps (and the 6.x version is using obsolete 
libraries, of course).

I can't think of a real fix for this problem (should anaconda requiring 
ancient libraries if there's no update available?)...


Comment 2 Michael Fulbright 2001-03-22 15:39:45 UTC
Matt any ideas?

Comment 3 Bernhard Rosenkraenzer 2001-03-22 15:45:01 UTC
Just noticed the typo in my comment - s/requiring/remove packages requiring/g 
of course.


Comment 4 Matt Wilson 2001-03-22 16:01:44 UTC
we shouldn't remove packages which have broken dependencies...  isn't there
something that obsoletes afterstep-apps?

anyway - the installer is doing the requested behavior now.


Comment 5 Bernhard Rosenkraenzer 2001-03-22 16:07:01 UTC
Nothing obsoletes Afterstep-APPS - we removed the AfterStep window manager 
without replacement, so we can't obsolete Afterstep-APPS either.


Comment 6 Matt Wilson 2001-03-22 23:22:36 UTC
This should be working properly in tomorrow's tree.


Comment 7 Ben Levenson 2001-03-28 19:27:52 UTC
build qa0328.0
6.2 "Everything" -> 7.1 TUI-CDROM
Unresolved dep. is still present:
AfterStep-APPS --> no sugg.
The following message was displayed on vc3:
* depcheck: package AfterStep-APPS needs libwraster.so.1 (not provided)


Comment 8 Matt Wilson 2001-03-29 17:17:30 UTC
the installer is doing the right thing.


Comment 9 Ben Levenson 2001-04-05 23:53:24 UTC
closing.



Note You need to log in before you can comment on or make changes to this bug.